package com.example.demo.dto.request.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-19 14:44
 * @Descrption TODO
 */
@ApiModel(value = "AddExam请求",description = "添加试卷")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AddExamRequest {
    @ApiModelProperty(value = "试卷名")
    private String name;

    @ApiModelProperty(value = "年级分类")
    private String groupName;

    @ApiModelProperty(value = "年级")
    private String gradeName;

    @ApiModelProperty(value = "学科")
    private String subject;

    @ApiModelProperty(value = "题目数量")
    private Integer number;
}
