package com.example.demo.dto.request.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-19 15:44
 * @Descrption TODO
 */
@ApiModel(value = "GetStems请求",description = "得到题目list")
@Data
@Accessors(chain = true)
public class GetStemsFromFeign extends StemAndExamRequest {
    static final String TENANTID = "745927895876108288";
    static final Integer SIZE = 30;

    @ApiModelProperty(value = "租号")
    private String tenantId;

    private Integer size;

    public GetStemsFromFeign(){
        super();
        tenantId = TENANTID;
        size = SIZE;
    }

    public GetStemsFromFeign(AddExamRequest request){
        super(request.getGroupName(),request.getGradeName(),request.getSubject());
        tenantId = TENANTID;
        size = SIZE;
    }

}
