package com.example.demo.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-16 0:55
 * @Descrption TODO
 */
@ApiModel(value = "OptionDto  具体选项信息传输体",description = "选项")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OptionDto {

    @ApiModelProperty("选项对应的题号")
    private String stemId;

    @ApiModelProperty("选项内容")
    private String content;

    @ApiModelProperty("选项是否正确")
    private Boolean isRight;

}
