package com.example.demo.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author hxh
 * @Date 2020-09-16 1:12
 * @Descrption TODO
 */
@ApiModel(value = "ScoreDto  exam score返回体",description = "根据题号答题list返回分数答案")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ScoreDto {

    @ApiModelProperty("分数")
    private String score;

    @ApiModelProperty("正确答案")
    private List<List<String>> answers;

}
