package com.example.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("题库-选项")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_subject_option")
public class Option {

    @ApiModelProperty("题干标识")
    @TableField(value = "stem_id")
    private String stemId;

    @ApiModelProperty("内容")
    @TableField(value = "content")
    private String content;

    @ApiModelProperty("内容类型")
    @TableField(value = "type")
    private String type;

    @ApiModelProperty("自定义数据")
    @TableField(value = "data")
    private String data;

    @ApiModelProperty("是否答案")
    @TableField(value = "is_right")
    private Boolean isRight;

}
