package com.example.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-15 22:31
 * @Descrption TODO
 */
@ApiModel(description = "试卷项实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("paper_item")
public class PaperItem {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("paper_id")
    @TableField(value = "pid")
    private Integer pid;

    @ApiModelProperty("stem_id，具体题目内容去老师题库系统根据id调用得到")
    @TableField(value = "sid")
    private String sid;

}

