package com.example.demo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Auther: YX
 * @Date: 2022/7/5 10:51
 * @Description: 试卷  搭建临时数据库所需
 */
@ApiModel(description = "试卷实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("stem")
public class Stem {
    @ApiModelProperty("id")
    @TableField(value = "id")
    private String stemId;

    @ApiModelProperty("题型")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("学校分类")
    @TableField(value = "groupName")
    private String groupName;

    @ApiModelProperty("年级分类")
    @TableField(value = "gradeName")
    private String gradeName;

    @ApiModelProperty("科目")
    @TableField(value = "subject")
    private String subject;

    @ApiModelProperty("答案")
    @TableField(value = "answer")
    private String answer;

    @ApiModelProperty("题解")
    @TableField(value = "analysis")
    private String analysis;
}
