package com.example.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-16 17:30
 * @Descrption TODO
 */
@ApiModel(description = "错题本实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("wrongbook_item")
public class WrongBook {

    @ApiModelProperty("错题本名字")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("年级分类")
    @TableField(value = "groupName")
    private String groupName;

    @ApiModelProperty("年级")
    @TableField(value = "gradeName")
    private String gradeName;

    @ApiModelProperty("学科")
    @TableField(value = "subject")
    private String subject;

    @ApiModelProperty("错题本描述")
    @TableField(value = "description")
    private String description;

    @ApiModelProperty("错题本对应该user的id")
    @TableField(value = "uid")
    private int uid;

}
