package com.example.demo.dto.request.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author hxh
 * @Date 2020-09-16 2:01
 * @Descrption TODO
 */
@ApiModel(value = "ScoreRequest  exam score请求体",description = "批卷请求")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ScoreRequest {

    @ApiModelProperty("试卷号")
    private Integer id;

    @ApiModelProperty("答题list")
    private List<List<String>> answers;

}
