package com.example.demo.dto.request.exam;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-16 1:57
 * @Descrption TODO
 */
@ApiModel(value = "StemAndExamRequest  exam list请求体",description = "根据年级学科请求")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class StemAndExamRequest {

    @ApiModelProperty("年级分类")
    private String groupName;

    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("学科")
    private String subject;

}
