package com.example.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author hxh
 * @Date 2020-09-16 17:31
 * @Descrption TODO
 */
@ApiModel(description = "错题项实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("wrongbook_item")
public class WrongBookItem {
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("stem_id，具体题目内容去老师题库系统根据id调用得到")
    @TableField(value = "sid")
    private String sid;

    @ApiModelProperty("年级分类")
    @TableField(value = "groupName")
    private String groupName;

    @ApiModelProperty("年级")
    @TableField(value = "gradeName")
    private String gradeName;

    @ApiModelProperty("学科")
    @TableField(value = "subject")
    private String subject;

    @ApiModelProperty("uid")
    @TableField(value = "uid")
    private Integer uid;

}
